Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# bson_oid_init_from_string()

## Synopsis

    void
    bson_oid_init_from_string (bson_oid_t *oid, const char *str);

## Parameters

- `oid`: A bson_oid_t.

- `str`: A string containing a hex encoded version of the oid.

## Description

Parses the string containing hex encoded oid and initialize the bytes in `oid`.

## Example

    bson_oid_init_from_string (&oid, "012345678901234567890123");